function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import localforage from 'localforage';
import LocalStorage from "./LocalStorage";
import SessionStorage from "./SessionStorage";

// 文档: https://localforage.docschina.org/#api
var Storage = _objectSpread(_objectSpread(_objectSpread({}, LocalStorage), SessionStorage), {}, {
  // 从仓库中获取 key 对应的值并将结果提供给回调函数。如果 key 不存在，getItem() 将返回 null。
  getItem: function getItem(key) {
    if (!key) {
      console.error('Storage.getItem: key is empty');
      return null;
    }
    return localforage.getItem(key);
  },
  // 将数据保存到离线仓库。
  setItem: function setItem(key, value) {
    if (!key) {
      console.error('Storage.setItem: key is empty');
      return null;
    }
    return localforage.setItem(key, value);
  },
  // 从离线仓库中删除 key 对应的值。
  removeItem: function removeItem(key) {
    if (!key) {
      console.error('Storage.removeItem: key is empty');
      return undefined;
    }
    return localforage.removeItem(key);
  },
  // 从数据库中删除所有的 key，重置数据库。
  clear: function clear() {
    return localforage.clear();
  }
});
export default Storage;